Google will not allow Ubuntu Touch to sync any more from July 15 2019 on



  • Hi All,
    I think that this issue is related to Dekko somehow. I received the same mail just few days after i configured my mail in this app.



  • @tricky Please see @UniSuperBox comment above.



  • @UniSuperBox It is not completely clear to me that it only affects Gmail and Drive, at least from the link that you provide. My impression is that they mention Gmail because this is the most common client, but if it is a restriction at the account level, it should affect all external applications that require Google authentication.

    I don't know if it matters, but I'm not using any client to access Gmail o Drive, and I'm still getting the warning email from Google.



  • @UniSuperBox Well as far as I can tell, Ubuntu Touch accesses Google Account data.

    On my device Address Book and Calendar apps use Google Account configured in the system settings. Their data is being synced with Google Contacts and Calendar, respectively.

    Isn't Ubuntu, mentioned in the mail, that 3rd party entity, which actually links my device to Google Account?



  • @kwah Yes, I pasted the email above, where "Ubuntu" can be seen. When the google account is added to the Online Accounts in UT it also says clearly "Do you allow Ubuntu to access this and that?"



  • Dear All,

    We are aware of this issue and we will try to hot-fix it until July 15th. We have to create our own Google app keys, and we think its not hard to fix, but might need a few days for preparation. Also I cannot say if we need to deploy and OTA for that or not.

    BR



  • @Flohack Thanks a lot!



  • Hi ! Do you know how to connect to google docs ? I can read my documents on google drive, but not on google docs, so the app on openstore don't work and I can't connect to my google drive... It's just for upload one document ...



  • Hi

    While trying to sync my gmail contacts with UT I am getting the message:

    Sign in with Google temporarily disabled for this app
    This app has not yet been verified by Google in order to use Google Sign in

    I need to be able to sync my contacts with my gmail contacts back and forth.
    Is there a solution or work around for this?

    I am using an LG Nexus 5 with Ubuntu 16.04.6 LTS (OTA-11).

    Many thanks
    Kaz



  • @ko If you keep trying after about 6-7 attempts you should get one of those capture boxes appear with letters to type in. Then all should go OK. Also make sure you have enabled Insecure Apps in your Google security settings.



  • Hi

    Thanks for your reply.

    I enabled insecure Apps in the Google security settings and tried about 12 times - same issue.
    Is there anything else I can do to get this working?

    Thanks
    Kaz



  • @ko Worked for me last time I tried. Try updating to the dev channel and try again. I'll try and re check mine later. Maybe try deleting the account completely restarting the device then trying again.
    Edit: Will have to be tomorrow. Phone with Google accounts flat.



  • Hi @Lakotaubp

    I hope you are well.

    Did you get a chance to check if the sync works on your device?

    Thanks
    Kaz



  • @ko Hi, Yes very well thanks. Soory it slipped my mind after I charged it up. Right. No syncwith google before doing the following. Updated phone, deleted accounts restarted and added back accounts and sync works for me. I do have that two stage thing with a number appearing on another device to confirm it's you but yes contacts and calendar sync. This is on a OPO on dev.



  • Hi @Lakotaubp

    I hope you are well.

    Thank you - I will keep trying.

    Kind regards
    Kaz



  • Hi @Lakotaubp

    I hope you are well.

    I updated the update settings to use the Release candidate channel and now when I try and sign in via the sync contacts I get the following:

    Couldn't sign you in

    The browser or app may not be secure.
    Try using a different browser. If you're already using a supported browser, you can refresh your screen and try again to sign in.

    Should I change over to use a different update channel?

    Thanks
    Kaz



  • @ko Mine worked on Dev after deleting the account. I haven't checked since last time. I can have a look again tomorrow. Please remind me if no reply by about this time tomorrow 😁



  • Hi @Lakotaubp

    I hope you are well.

    I changed mine to use the development channel but sadly have the same error message 😞

    When you get a chance - can you please try again.

    Thank you very much.

    Kind Regards
    Kaz



  • @ko Did mine again this morning and it still works for me. No sync to start( it's been in a drawer) delete account, add back in and all syncs had to use the verify on another device method as per my Google security settings then all o.k . OPO updated today to latest Dev.
    Lost track now but you do have unsecure apps turned on in your Google security settings?



  • Hi @Lakotaubp

    Thank you for your reply.

    I downloaded the latest development update and I switched the option on to allow unsecure apps but I still have the same issue. I tried via the contacts - "import contacts from Google" and via system settings - accounts - Google.
    I deleted the gmail app I had downloaded so there is nothing installed using my gmail login but am still getting the same message:

    Couldn't sign you in
    The browser or app may not be secure.
    Try using a different browser. If you're already using a supported browser, you can refresh your screen and try again to sign in.

    I did notice a minor issue - when you select My Apps under the OpenStore and delete an app the same My Apps tab is selected without the installed apps until you click the same apps tab again.

    I will keep trying to find out what else could be causing this.

    Thanks
    Kaz


Log in to reply